function [U, S] = pca(X)

%   [U, S] = pca(X) computes eigenvectors of the covariance matrix of X
%   Returns the eigenvectors U, the eigenvalues (on diagonal) in S
%   X est de taille (m , n)   ;  tX*X  &  U  sont de taille (n , n)
 
[U,S,~] = svd(X'*X/size(X,1));

end
